Subject: Re: bug#23798: 25.0.90; Underscore for emphasis in Info?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jun 2016 19:34:46 +0300

> Date: Sun, 19 Jun 2016 09:23:59 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Is there any other kind of emphasis that is used?
> > 
> > Yes, there's @strong, rendered as *foo*.
> 
> I see.  I suspected that, so I searched for it (in the Emacs and
> Elisp manuals).  I did not find any matches that would seem to
> reflect that.

You have a few.  Here's one, from "Action Arguments" in the Emacs
manual:

     *Warning:* If previous command-line arguments have visited files,
     the current directory is the directory of the last file visited.

> It is unfortunate that Info "renders" what is clear markup, e.g.
> @strong, by something that is not markup and not clearly
> notational, and so is easily confused with ordinary text.

Info was designed to display on the dumbest text terminals out there.

> Maybe you have a better suggestion?

I hope others will chime in.

> If you decide to do nothing wrt this enhancement request, perhaps
> you would at least consider to have the Info help, for Info that
> is displayed by Emacs, include a "notation" section that tells
> users that "_..._" is emphasis and "*...*" is strong emphasis.
> We already have node (info) `Help-Inv', which is along the same
> lines, but the notation is not described anywhere, AFAICT. 

This is documented in the Texinfo manual.